#include <Fat16.h>
#include <Fat16Util.h>
#include <NewSPI.h>
#include <arduino.h>
#include "pins_config.h"
#include "vs10xx.h"
#include "newSDLib.h"
#include "MusicPlayer.h"

MusicPlayer myplayer;

long ledMillis;
long currentMillis;
int ledOn = false;
int ledPin = 2;    


void setup()  
{ 

  pinMode(ledPin, OUTPUT);
  Serial.begin(9600);
  myplayer.begin();//will initialize the hardware and set default mode to be normal.
} 


void loop()  
{ 
  myplayer.setPlayMode(MODE_NORMAL);  
  myplayer.playSong("test.mp3");
  
  for (;;)
  {
    currentMillis = millis();
    if (currentMillis > ledMillis + 1000)
    {
      if (ledOn == true)
      {
        digitalWrite (ledPin, LOW);
        ledOn = false;
      }
        else
        {
          digitalWrite (ledPin, HIGH);
          ledOn = true;
        }
      ledMillis = currentMillis;
    }
  }
}

